# spec file for package nodejs-nodejs-node-gyp

%global npmname node-gyp
%{?nodejs_find_provides_and_requires}

%global enable_tests 0

Name:           nodejs-node-gyp
Version:        1.0.3
Release:        0%{?dist}
Summary:        Node.js native addon build tool
Url:            https://github.com/TooTallNate/node-gyp
Source0:        http://registry.npmjs.org/node-gyp/-/node-gyp-1.0.3.tgz
License:        Unknown

BuildRoot:      %{_tmppath}/%{pkg_name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:	noarch
ExclusiveArch:	%{nodejs_arches} noarch

BuildRequires:  nodejs-devel

%if 0%{?enable_tests}
%endif

BuildRequires: npm(fstream)
BuildRequires: npm(glob)
BuildRequires: npm(graceful-fs)
BuildRequires: npm(minimatch)
BuildRequires: npm(mkdirp)
BuildRequires: npm(nopt)
BuildRequires: npm(npmlog)
BuildRequires: npm(osenv)
BuildRequires: npm(request)
BuildRequires: npm(rimraf)
BuildRequires: npm(semver)
BuildRequires: npm(tar)
BuildRequires: npm(which)

Requires: npm(fstream)
Requires: npm(glob)
Requires: npm(graceful-fs)
Requires: npm(minimatch)
Requires: npm(mkdirp)
Requires: npm(nopt)
Requires: npm(npmlog)
Requires: npm(osenv)
Requires: npm(request)
Requires: npm(rimraf)
Requires: npm(semver)
Requires: npm(tar)
Requires: npm(which)

%description
Node.js native addon build tool

%prep
%setup -q -n package
%{nodejs_fixdep} fstream
%{nodejs_fixdep} glob
%{nodejs_fixdep} graceful-fs
%{nodejs_fixdep} minimatch
%{nodejs_fixdep} mkdirp
%{nodejs_fixdep} nopt
%{nodejs_fixdep} npmlog
%{nodejs_fixdep} osenv
%{nodejs_fixdep} request
%{nodejs_fixdep} rimraf
%{nodejs_fixdep} semver
%{nodejs_fixdep} tar
%{nodejs_fixdep} which

%build
#nothing to do

%install
rm -rf %buildroot

mkdir -p %{buildroot}%{nodejs_sitelib}/node-gyp

cp -pr package.json \
	%{buildroot}%{nodejs_sitelib}/node-gyp

mkdir -p %{buildroot}%{_bindir}/node-gyp
ln -sf %{_libdir}/node_modules/%{npmname}/./bin/node-gyp.js %{buildroot}%{_bindir}/node-gyp
%{nodejs_symlink_deps}

%if 0%{?enable_tests}
%check
%{nodejs_symlink_deps} --check

%endif

%clean
rm -rf %buildroot

%files
%{nodejs_sitelib}/node-gyp
%{_bindir}/*

%doc README.md
%license LICENSE

%changelog
